import 'package:flutter/material.dart';
import 'package:buzz_booster/buzz_booster.dart';
import 'package:buzz_booster/buzz_booster_campaign_floating_action_button.dart';

final buzzBooster = BuzzBooster();

void main() async {
  runApp(const MyApp());
  await buzzBooster.init("100000043");
  await buzzBooster.setUserId("Damone123123");
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Stack(
            fit: StackFit.loose,
            alignment: Alignment.bottomRight,
            children: [
              Text("Booster Test App"),
            ]
          )
        ),
        floatingActionButton: CampaignFloatingActionButtonWidget()
      ),
    );
  }
}
